Bug 771604 - RFE: Allow mock repos to use yum priorities
Summary: RFE: Allow mock repos to use yum priorities
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-04 09:48 UTC by Marko Myllynen
Modified: 2012-02-24 23:40 UTC (History)
2 users (show)

Fixed In Version: mock-1.0.28-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-22 05:24:47 UTC
Type: ---


Attachments (Terms of Use)
0001-Add-support-for-yum-priorities.patch (2.60 KB, patch)
2012-01-04 09:50 UTC, Marko Myllynen
no flags Details | Diff

Description Marko Myllynen 2012-01-04 09:48:34 UTC
Description of problem:
Yum RHN plugin was recently enabled with a simple patch:

http://git.fedorahosted.org/git/?p=mock.git;a=commit;h=f63511b05e97d287c8ebb9525ec132c4b311836d

This does exactly the same for the Yum priorities plugin, just use the standard priority=N in target configurations. See the RHN patch commit msg for details.

Obviously, this duplicates code so at least with next Yum plugin enablement we should generalize the code to handle specified plugins (and update the manual page :).

Comment 1 Marko Myllynen 2012-01-04 09:50:23 UTC
Created attachment 550644 [details]
0001-Add-support-for-yum-priorities.patch

Comment 2 Clark Williams 2012-01-04 17:32:46 UTC
Added to my work branch and will be there in the next update.

Comment 3 Fedora Update System 2012-01-13 20:18:28 UTC
mock-1.1.19-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.19-1.el6

Comment 4 Fedora Update System 2012-01-13 20:19:04 UTC
mock-1.1.19-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.19-1.fc16

Comment 5 Fedora Update System 2012-01-13 20:19:36 UTC
mock-1.0.26-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.26-1.el5

Comment 6 Fedora Update System 2012-01-13 20:20:07 UTC
mock-1.1.19-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.19-1.fc15

Comment 7 Fedora Update System 2012-01-14 19:29:48 UTC
mock-1.1.19-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.19-2.fc15

Comment 8 Fedora Update System 2012-01-14 19:30:28 UTC
mock-1.1.19-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.19-2.el6

Comment 9 Fedora Update System 2012-01-14 19:31:00 UTC
mock-1.0.26-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.26-2.el5

Comment 10 Fedora Update System 2012-01-14 19:31:36 UTC
mock-1.1.19-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.19-2.fc16

Comment 11 Fedora Update System 2012-01-15 23:26:03 UTC
Package mock-1.1.19-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.19-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0134/mock-1.1.19-2.el6
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2012-01-22 05:24:47 UTC
mock-1.1.19-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-02-01 16:45:21 UTC
mock-1.1.20-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.20-1.fc15

Comment 14 Fedora Update System 2012-02-01 16:46:16 UTC
mock-1.1.20-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.20-1.el6

Comment 15 Fedora Update System 2012-02-01 16:47:03 UTC
mock-1.1.20-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.20-1.fc16

Comment 16 Fedora Update System 2012-02-01 16:47:53 UTC
mock-1.0.27-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.27-2.el5

Comment 17 Fedora Update System 2012-02-08 22:57:29 UTC
mock-1.1.20-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2012-02-09 02:22:02 UTC
mock-1.1.21-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.21-1.fc15

Comment 19 Fedora Update System 2012-02-09 02:22:46 UTC
mock-1.1.21-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.21-1.el6

Comment 20 Fedora Update System 2012-02-09 02:23:29 UTC
mock-1.0.28-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.28-1.el5

Comment 21 Fedora Update System 2012-02-09 02:24:13 UTC
mock-1.1.21-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.21-1.fc16

Comment 22 Fedora Update System 2012-02-15 23:56:07 UTC
mock-1.1.21-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2012-02-19 02:00:19 UTC
mock-1.1.21-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2012-02-24 23:37:27 UTC
mock-1.1.21-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2012-02-24 23:40:58 UTC
mock-1.0.28-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.